# Delete an Access Method

* [Request Parameters](#request-parameters)
* [Response](#response)

Deletes an access method.

{% tabs %}
{% tab title="JavaScript" %}
Deletes an access method.

**Code:**

```javascript
await seam.accessMethods.delete({
  access_method_id: "3f10d86c-526b-4b85-8788-cc1a74411b71",
});
```

**Output:**

```javascript
// void
```

{% endtab %}

{% tab title="cURL" %}
Deletes an access method.

**Code:**

```curl
curl --include --request POST "https://connect.getseam.com/access_methods/delete" \
  --header "Authorization: Bearer $SEAM_API_KEY" \
  --json @- <<EOF
{
  "access_method_id": "3f10d86c-526b-4b85-8788-cc1a74411b71"
}
EOF
```

**Output:**

```curl
{}
```

{% endtab %}

{% tab title="Python" %}
Deletes an access method.

**Code:**

```python
seam.access_methods.delete(access_method_id="3f10d86c-526b-4b85-8788-cc1a74411b71")
```

**Output:**

```python
None
```

{% endtab %}

{% tab title="Ruby" %}
Deletes an access method.

**Code:**

```ruby
seam.access_methods.delete(access_method_id: "3f10d86c-526b-4b85-8788-cc1a74411b71")
```

**Output:**

```ruby
nil
```

{% endtab %}

{% tab title="PHP" %}
Deletes an access method.

**Code:**

```php
$seam->access_methods->delete(
    access_method_id: "3f10d86c-526b-4b85-8788-cc1a74411b71",
);
```

**Output:**

```php
```

{% endtab %}

{% tab title="Seam CLI" %}
Deletes an access method.

**Code:**

```seam_cli
seam access-methods delete --access_method_id "3f10d86c-526b-4b85-8788-cc1a74411b71"
```

**Output:**

```seam_cli
{}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Authentication Methods</summary>

* API key
* Client session token
* Personal access token\
  Must also include the `seam-workspace` header in the request.

To learn more, see [Authentication](https://docs.seam.co/latest/api/authentication).

</details>

## Request Parameters

**`access_grant_id`** *String*

ID of access grant whose access methods should be deleted.

***

**`access_method_id`** *String*

ID of access method to delete.

***

**`reservation_key`** *String*

Reservation key of the access grant whose access methods should be deleted.

***

## Response

{% hint style="success" %}
Returns: **void**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/access_methods/delete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
